#ifndef IO_H
#define IO_H

#ifndef WINDOWS_NT
#define WINDOWS_NT	1
#endif

#ifndef EMBEDDED
/* define your os here */
#define EMBEDDED	2
#endif

#ifndef PORT
#define PORT		EMBEDDED
#endif

#define PP_DCLK			0x00001000 /* Parallel Port bit */
#define	PP_NCONFIG		0x00010000
#define PP_DATA0		0x00100000
#define PP_NSTATUS		0x01000000
#define PP_CONFDONE		0x10000000

int  fopen_rbf( char* argv, char* mode);
int  fseek_rbf( int finputid, int start, int end );
int  fgetsize();
int  ftell_rbf( int finputid );
int  fgetc_rbf( int finputid );
void fclose_rbf(int file_id);
void fresetfp();
int  Result(int error);
void WriteByteBlaster( int port, int data, int test );
int  ReadByteBlaster( int port );
void Burst(int file_size);
inline asm void dump(int size);

#endif